import bpy

from . import add_node, add_property, copy_property, drive_with_property, edit_property, property_menu, randomize_property, remove_property, select_by_property

classes = (
    add_property.POWERPROPS_OT_add_property,
    edit_property.POWERPROPS_OT_edit_property,
    copy_property.POWERPROPS_OT_copy_property,
    select_by_property.POWERPROPS_OT_select_by_property,
    remove_property.POWERPROPS_OT_remove_property,
    randomize_property.POWERPROPS_OT_randomize_property,
    add_node.POWERPROPS_OT_add_node,
    property_menu.POWERPROPS_OT_property_menu_generic,
    property_menu.POWERPROPS_OT_property_menu_numeric,
    drive_with_property.POWERPROPS_OT_drive_with_property,
)


def register():
    for cls in classes:
        bpy.utils.register_class(cls)


def unregister():
    for cls in reversed(classes):
        bpy.utils.unregister_class(cls)
