import bpy

from . import wm, prefs

classes = (
    prefs.AddonPrefs,
    wm.PropertyProps,
    wm.WMProps,
)


def register():
    for cls in classes:
        bpy.utils.register_class(cls)

    bpy.types.WindowManager.powerprops = bpy.props.PointerProperty(type=wm.WMProps)


def unregister():
    del bpy.types.WindowManager.powerprops

    for cls in reversed(classes):
        bpy.utils.unregister_class(cls)
