import bpy

from .. import utils


class AddonPrefs(bpy.types.AddonPreferences):
    bl_idname = utils.common.module()

    panel_category: bpy.props.StringProperty(
        name='Panel Category',
        description='Sidebar category to show the panel in, empty to hide it',
        default='PowerSave',
        update=utils.common.update_panel_category,
    )

    def draw(self, context: bpy.types.Context):
        layout: bpy.types.UILayout = self.layout

        split = layout.split()
        split.label(text='Panel Category')
        split.prop(self, 'panel_category', text='')
